Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.platform.mysql
Class MySql50Platform

    java.lang.Object
      org.apache.ddlutils.util.JdbcSupport
          org.apache.ddlutils.platform.PlatformImplBase
              org.apache.ddlutils.platform.mysql.MySqlPlatform
                  org.apache.ddlutils.platform.mysql.MySql50Platform

All Implemented Interfaces:
  Platform

    public class MySql50Platform

extends MySqlPlatform

The platform implementation for MySQL 5 and above.

Version:
  $Revision: 231306 $

Field Summary
`static String` | `DATABASENAME` Database name of this platform.

Fields inherited from class org.apache.ddlutils.platform.mysql.MySqlPlatform
`JDBC_DRIVER, JDBC_DRIVER_OLD, JDBC_SUBPROTOCOL`

Fields inherited from class org.apache.ddlutils.platform.PlatformImplBase
`MODEL_DEFAULT_NAME`

Constructor Summary
`MySql50Platform()` Creates a new platform instance.

Method Summary
`String` | `getName()` Returns the name of the database that this platform is for.

Methods inherited from class org.apache.ddlutils.platform.PlatformImplBase
`afterInsert, afterUpdate, alterTables, alterTables, alterTables, alterTables, alterTables, alterTables, alterTables, alterTables, beforeInsert, beforeUpdate, createDatabase, createDeleteSql, createInsertSql, createResultSetIterator, createSelectLastInsertIdSql, createTables, createTables, createTables, createTables, createUpdateSql, delete, delete, dropDatabase, dropTable, dropTable, dropTables, dropTables, evaluateBatch, evaluateBatch, exists, extractColumnValue, fetch, fetch, fetch, fetch, fetch, fetch, fetch, fetch, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getCreateTablesSql, getCreateTablesSql, getDeleteSql, getDropTableSql, getDropTablesSql, getInsertSql, getLog, getModelReader, getObjectFromResultSet, getObjectFromResultSet, getPlatformInfo, getSqlBuilder, getUpdateSql, insert, insert, insert, insert, isDelimitedIdentifierModeOn, isForeignKeysSorted, isIdentityOverrideOn, isScriptModeOn, isSqlCommentsOn, logWarnings, postprocessModelFromDatabase, query, query, query, query, readModelFromDatabase, readModelFromDatabase, readModelFromDatabase, readModelFromDatabase, setDelimitedIdentifierModeOn, setForeignKeysSorted, setIdentityOverrideOn, setModelReader, setObject, setScriptModeOn, setSqlBuilder, setSqlCommentsOn, setStatementParameterValue, shutdownDatabase, shutdownDatabase, store, toColumnValues, update, update`

Methods inherited from class org.apache.ddlutils.util.JdbcSupport
`borrowConnection, closeStatement, getDataSource, getPassword, getUsername, returnConnection, setDataSource, setPassword, setUsername`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.ddlutils.Platform
`borrowConnection, getDataSource, getPassword, getUsername, returnConnection, setDataSource, setPassword, setUsername`

Field Detail

### DATABASENAME

    public static final String DATABASENAME

  Database name of this platform.

  See Also:
    Constant Field Values

Constructor Detail

### MySql50Platform

    public MySql50Platform()

  Creates a new platform instance.

Method Detail

### getName

    public String getName()

  Returns the name of the database that this platform is for.

  Specified by:
    `getName` in interface `Platform`
  Overrides:
    `getName` in class `MySqlPlatform`
  Returns:
    The name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.